Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.widget.contains
Class HorizontalWidgetWrapperHolder

    java.lang.Object
      edu.stanford.smi.protegex.widget.contains.WidgetWrapperHolder
          edu.stanford.smi.protegex.widget.contains.HorizontalWidgetWrapperHolder

All Implemented Interfaces:
  WidgetWrapperActionProcessor

    public class HorizontalWidgetWrapperHolder

extends WidgetWrapperHolder

Description of the Class

Author:
  William Grosso

Field Summary

Fields inherited from class edu.stanford.smi.protegex.widget.contains.WidgetWrapperHolder
`_activeWidgetWrapper, _defaultBorder, _horizontalScrollIncrement, _scrollPaneAroundWidgetBox, _selection, _selectionBorder, _selectionRectangle, _verticalScrollIncrement, _viewport, _widgetBox, BORDER_THICKNESS, DEFAULT_HORIZONTAL_SCROLL_INCREMENT, DEFAULT_SEPARATION_DISTANCE, DEFAULT_USE_SEPARATORS, DEFAULT_VERTICAL_SCROLL_INCREMENT, TWO_TIMES_BORDER_THICKNESS`

Constructor Summary
`HorizontalWidgetWrapperHolder()`
`HorizontalWidgetWrapperHolder(int spacerSize, boolean useSpacers)`
`HorizontalWidgetWrapperHolder(int spacerSize, boolean useSpacers, int verticalScrollIncrement, int horizontalScrollIncrement)`

Method Summary
`protected WidgetBox` | `getWidgetBox(int spacerSize, boolean useSpacers)`
`protected void` | `scrollToCorrectLocation()`

Methods inherited from class edu.stanford.smi.protegex.widget.contains.WidgetWrapperHolder
`addWidgetWrapper, addWidgetWrapperActionListener, clearSelection, getSpacerSize, getUserInterface, getUseSeparators, isUseSeparators, removeAllWidgetWrappers, removeWidgetWrapper, removeWidgetWrapperActionListener, setSelection, setSpacerSize, setUseSeparators, unselectWidgetWrapper`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HorizontalWidgetWrapperHolder

    public HorizontalWidgetWrapperHolder()

### HorizontalWidgetWrapperHolder

    public HorizontalWidgetWrapperHolder(int spacerSize,
                                         boolean useSpacers)

### HorizontalWidgetWrapperHolder

    public HorizontalWidgetWrapperHolder(int spacerSize,
                                         boolean useSpacers,
                                         int verticalScrollIncrement,
                                         int horizontalScrollIncrement)

Method Detail

### getWidgetBox

    protected WidgetBox getWidgetBox(int spacerSize,
                                     boolean useSpacers)

  Specified by:
    `getWidgetBox` in class `WidgetWrapperHolder`

### scrollToCorrectLocation

    protected void scrollToCorrectLocation()

  Specified by:
    `scrollToCorrectLocation` in class `WidgetWrapperHolder`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request